package com.bonus.system.mapper;

import com.bonus.system.api.domain.SysFileSource;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface SysFileSourceMapper {
    /**
     * 文件资源存储
     * @param fileSource
     * @return
     */
    int addFileSource(SysFileSource fileSource);

    /**
     * 依据id
     *  删除
     * @param fileSource
     * @return
     */
    int delSourceFileById(SysFileSource fileSource);
    /**
     * 依据 资源id
     *  删除
     * @param fileSource
     * @return
     */
    int delSourceFileBySourceId(SysFileSource fileSource);

    /**
     * 依据资源拆线呢数据
     * @param sourceId
     * @return
     */
    List<SysFileSource> getSourceFileList(String sourceId);
}
